# MBS Carry Model

## Accounting for Funding Costs in TBA vs. Pools

- **TBA Market Characteristics**:
  - Greater liquidity but introduces cheapest-to-deliver risk.
  - Subject to roll dynamics and funding market conditions.

- **Specified Pools**:
  - Lower liquidity, but offer cash flow precision.
  - Require adjustments for funding costs and potential roll financing.

- **Spread Adjustment Framework**:
  
  $$
  S_{TBA} = S_{Pools} - \text{Funding Adjustment}.
  $$
  
  - Funding costs are influenced by repo rates, collateral availability, and roll specialness.
  - Elevated repo costs induce widening spreads between TBAs and pools.
  - Empirical models for roll costs provide enhanced valuation insights.
  - Liquidity stress scenarios should be incorporated into spread forecasting.
  - Differential pricing should account for varying dollar roll specialness by settlement structure and security type.

